interface responseHandle {
  (data: any, message?: string, success?: boolean, code?: number): { data: any, message: string, success: boolean, code: number }
}

const responseHandle: responseHandle = (data, message = 'success', success = true, code = 200) => {
  return {
    data,
    message,
    success,
    code
  };
};

export = responseHandle;
